using ASHermed.AdminInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface IOnlineBillRepository
    {
        int InsertOnlineBill(Online_Bill bill);
        PageListModel<OnlineBillList> GetOnlineBillList(int billType, string search, DateTime begin, DateTime end, int channelCode, int channelPayType, int pageindex, int pagesize);
        Online_Bill GetOnlineBill(string billNo);
        PatInfoDetail GetPatInfoForBill(string orderNo);
        AptInfoDetail GetAptInfoForBill(string orderNo);
        PrescriptionDetail GetPrescription(string prescriptionOrderNo);
    }
}
